View Issue Details

IDProjectCategoryView StatusLast Update
0005326GNUnetutil librarypublic2019-02-28 11:17
ReporterMarcello StanisciAssigned ToFeideus 
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005326: getopt blindly accept any number given on the command line
DescriptionSay that a option '-n' is registered with GNUNET_GETOPT_option_uint(),
and that it is then passed as '-n -4' from a command line invocation.

The parsing helper (set_uint() function) will feed whatever value
-4 is into memory to sscanf, which will silently parse it as "%u".

This then gives some unexpected value that is not possible to check,
as it *is* unsigned int indeed.
TagsNo tags attached.

Activities

Feideus

2018-06-24 12:24

developer   ~0013066

Added check in the case of a %u negative value.

Issue History

Date Modified Username Field Change
2018-05-10 11:18 Marcello Stanisci New Issue
2018-06-23 15:13 Feideus Assigned To => Feideus
2018-06-23 15:13 Feideus Status new => assigned
2018-06-24 12:24 Feideus Status assigned => resolved
2018-06-24 12:24 Feideus Resolution open => fixed
2018-06-24 12:24 Feideus Note Added: 0013066
2019-02-12 09:20 Christian Grothoff Target Version => 0.11.0
2019-02-20 12:24 Christian Grothoff Fixed in Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed